import re
from galaxy import datatypes

def exec_after_process(app, inp_data, out_data, param_dict, tool, stdout, stderr):
	""" 
	This function change the dataset's metadata
	according to the values specified by the user (in the tool execution step)
	"""	
	for name, data in out_data.items(): 
		if param_dict['chromcol'] != 0:
			data.metadata.chromCol = param_dict['chromcol']

		if param_dict['startcol'] != 0:
			data.metadata.startCol = param_dict['startcol']

		if param_dict['endcol'] != 0:
			data.metadata.endCol = param_dict['endcol']

		if param_dict['namecol'] != 0:
			data.metadata.nameCol = param_dict['namecol']

		if param_dict['strandcol'] != 0:
			data.metadata.strandCol = param_dict['strandcol']

		if param_dict['newtype'] != "nochange":
			data.change_datatype( param_dict['newtype'] )

